---
title: TrackDefault.type
slug: Web/API/TrackDefault/type
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - TrackDefault
  - Type
  - Video
---
<div>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</div>

<p>The <code><strong>type</strong></code> read-only property of the {{domxref("TrackDefault")}} interface returns the type of track that this {{domxref("SourceBuffer")}}'s media segment data relates to (i.e. audio, video, or text track.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myType = TrackDefault.type;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} — one of <code>audio</code>, <code>video</code> or <code>text</code>.</p>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TrackDefault.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
